# Ice::RequestFailedException

## Overview

### [ "cpp:ice_print" ] local exception RequestFailedException

This exception is raised if a request failed. This exception, and all exceptions derived from RequestFailedException, are transmitted by the Ice protocol, even though they are declared `local`.

#### Derived Exceptions

FacetNotExistException
ObjectNotExistException
OperationNotExistException

## Data Member Index

id
  The identity of the Ice Object to which the request was sent.
facet
  The facet to which the request was sent.
operation
  The operation name of the request.

## Data Members

Identity id;

  The identity of the Ice Object to which the request was sent.

string facet;

  The facet to which the request was sent.

string operation;

  The operation name of the request.